Bug 242509 - devel/isl: Update 0.19 -> 0.22
Summary: devel/isl: Update 0.19 -> 0.22
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Yuri Victorovich
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-12-08 17:04 UTC by Yuri Victorovich
Modified: 2020-06-05 18:52 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (danilo)


Attachments
patch (1.98 KB, patch)
2019-12-08 17:04 UTC, Yuri Victorovich
no flags Details | Diff
Replace pathfix by pkgconfig + add math to CATEGORIES (2.41 KB, text/plain)
2020-04-05 20:08 UTC, Thierry Thomas
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yuri Victorovich freebsd_committer 2019-12-08 17:04:10 UTC
Created attachment 209790 [details]
patch
Comment 1 Danilo Egea Gondolfo freebsd_committer 2019-12-08 19:14:22 UTC
Hello, did you test all the ports that depend on devel/isl? Last time I checked some of them were failing to build with this new version. I didn't have the time to check them though.
Comment 2 Yuri Victorovich freebsd_committer 2019-12-08 20:18:52 UTC
If math/barvinok was failing this is ok because it needs to be updated. If gcc-related ones are failing then I don't know.

I've rebuilt devel/isl math/cloog math/barvinok dependencies successfully.
Comment 3 Yuri Victorovich freebsd_committer 2020-01-04 05:32:01 UTC
Any progress?
Comment 4 Thierry Thomas freebsd_committer 2020-04-05 20:08:48 UTC
Created attachment 213105 [details]
Replace pathfix by pkgconfig + add math to CATEGORIES

Note: SageMath requires isl > 0.20.
Comment 5 Gleb Popov freebsd_committer 2020-05-25 06:42:17 UTC
I tried building this. Everything went fine except for math/barvinok (it is marked IGNORE) and devel/gcc-arm-embedded (despite having 16 Gb RAM, the build eventually failed due to out of memory).

I think, this can be committed and the breakage, if happen, dealt later.
Comment 6 Thierry Thomas freebsd_committer 2020-05-25 07:09:58 UTC
@danilo: if for some reason you need to keep this port at 0.19, could we have it repocopied to devel/isl-legacy, and let this port be upgraded?
Comment 7 Lev A. Serebryakov freebsd_committer 2020-06-04 22:52:48 UTC
devel/gcc-arm-embedded COULD be built with isl 0.22 without problems. Technically.

But there is one caveat: I'm trying to have this port in state when it produces bit-to-bit same results as official Linux, MacOS X and Windows binaries (it could be important for embedded development, it is why full toolchain is crammed into one port and it is difference between this port and devel/gcc built for same target). Official binaries are still built with isl 0.18. I'm not sure, will this update affect produced code in some corner cases or not. I can not find any difference for simple examples and libraries, but I cannot guarantee that there aren't any difference in all cases for all inputs.

I'm not sure, what to do :)
Comment 8 Gleb Popov freebsd_committer 2020-06-05 07:32:13 UTC
(In reply to Lev A. Serebryakov from comment #7)
I digged into configure scripts and it seems that it is possible to use bundled isl when building devel/gcc-arm-embedded. Maybe we should look into that.
Comment 9 Thierry Thomas freebsd_committer 2020-06-05 09:57:33 UTC
(In reply to Gleb Popov from comment #8)
Or as I wrote in a previous comment, it may be safer to fork this port:

- devel/isl-legacy or devel/isl-19 to keep this version as long as needed;

- devel/isl to follow upstream.
Comment 10 Lev A. Serebryakov freebsd_committer 2020-06-05 10:51:25 UTC
(In reply to Gleb Popov from comment #8)
Oh, they added libraries back! I need to turn-on "PURE" option back, and then it is Ok for me to update isl!
Comment 11 Lev A. Serebryakov freebsd_committer 2020-06-05 10:52:17 UTC
Bundled libraries was discontinued in previous releases and I did not noticed, that they came back.

So, `devel/gcc-arm-embedded` doesn't need separate legacy isl port!

Thank you!
Comment 12 commit-hook freebsd_committer 2020-06-05 18:52:36 UTC
A commit references this bug:

Author: arrowd
Date: Fri Jun  5 18:52:31 UTC 2020
New revision: 538047
URL: https://svnweb.freebsd.org/changeset/ports/538047

Log:
  devel/isl: update to 0.22

  PR:		242509
  Submitted by:	thierry
  Approved by:	danilo (maintainer timeout)

Changes:
  head/devel/isl/Makefile
  head/devel/isl/distinfo
  head/devel/isl/pkg-plist